### Function

# WebKit user_media_permission_is_for_video_device

since: 2.8

#### Declaration [src]

    gboolean
    webkit_user_media_permission_is_for_video_device (
      WebKitUserMediaPermissionRequest* request
    )

#### Description [src]

Check whether the permission request is for a video device.

Available since: 2.8

#### Parameters

`request`

  Type: `WebKitUserMediaPermissionRequest`

  A `WebKitUserMediaPermissionRequest`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if access to a video device was requested.